﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ultraDockManager1.LayoutStyle = DockAreaLayoutStyle.FillContainer;

            for (int i = 0; i < 3; i++)
            {
                DockAreaPane areaPane = new DockAreaPane(DockedLocation.DockedTop, "Group-" + i.ToString());
                areaPane.Panes.Add(new DockableGroupPane());
                this.ultraDockManager1.DockAreas.Add(areaPane);
            }

            foreach (DockAreaPane areaPane in this.ultraDockManager1.DockAreas)
            {
                Button button = new Button();
                button.Text = areaPane.Key;
                (areaPane.Panes[0] as DockableGroupPane).Panes.Add(new DockableControlPane(button));
            }
        }
    }
}
